(***********************************************************************)
(*                               STARTDAT.M                            *)
(*    Bernd Fiedler, FB Math/Inf, Universitaet Leipzig, 14.01.1994     *)
(*                                                                     *)
(*  Definition einiger grundlegender Groessen fuer MAGNET Version 1.0  *)
(***********************************************************************)


(******************************* Definitions ***************************)
$BacCab = True;
$SpatRule = False;

(* Global definierte Symbole sind: e,f,z,a,n,y,r,symrule  *)

Attributes[e] = {Constant} ;
Attributes[f] = {Constant} ;
Attributes[z] = {Constant} ;


DefineVector[{a,n}];

a/: divValue[a] := 0 ;
a/: rotValue[a] := 0 ;
a/: gradValue[y_,a] := 0 ;
a/: graddotValue[y_,a,0,m_] := 0 ;

n/: divValue[n] := 2/r ;
n/: dotValue[n] := 0 ;
n/: rotValue[n] := 0 ;
n/: SPValue[n,n] := 1 ;
n/: gradValue[y_,n] := y/r - (SP[y,n]*n)/r ;

r/: dotValue[r] := 0 ;
r/: gradValue[r] := n ;

symrule = {e -> f, f -> - e} ;

b[-2] = (f n)/(4 Pi (r^2));
d[-2] = (e n)/(4 Pi (r^2));
