(***********************************************************************)
(*                               Utilitie.M                            *)
(* Bernd Fiedler, Fakultaet Math/Inf, Universitaet Leipzig, 05.09.1996 *)
(*                                                                     *)
(*            Hilfsmittel fuer das Package VECTAN Version 1.1          *)
(***********************************************************************)


(******************************** VASave *******************************)

namelist[prefix_] := Names[prefix<>"*"];

deflist[prefix_] := Select[
                          Definition /@ namelist[prefix],
                          ToString[#] =!= "Null" &
                          ];

VASave[filename_String]:=
(* 
VASave schreibt alle im aktuellen Kontext befindlichen Definitionen
in den File filename. Mit VASave werden somit nur dann alle in einer   
VECTAN-Sitzung erzeugten Definitionen gespeichert, wenn sich alle
Definitionen der Sitzung in diesem Kontext befinden. Es sollte deshalb
waehrend der Sitzung der aktuelle Kontext nicht gewechselt werden.
*)
(
 Apply[
      Put,
      Append[
            deflist[$Context],
            filename
            ]
      ];
 PutAppend[Null,filename];
)

VASave[___] := Message[VASave::error];

(********************************* Muster ******************************)

Mu[s_Symbol] := Message[s::muster];
