(***********************************************************************)
(*                                VECTAN.M                             *)
(*    Bernd Fiedler, FB Math/Inf, Universitaet Leipzig, 14.05.1997     *)
(*                                                                     *)
(*               Ladefile des Packages VECTAN Version 1.1              *)
(***********************************************************************)

(**************************************************************************
*                                                                         *
* This software package and its accompanying documentation are provided   *
* as is, without guarantee of support or maintenance.  The copyright      *
* holder makes no express or implied warranty of any kind with respect    *
* to this software, including implied warranties of merchantability or    *
* fitness for a particular purpose, and is not liable for any damages     *
* resulting in any way from its use.                                      *
*                                                                         *
* Everyone is granted permission to copy, modify and redistribute this    *
* software package and its accompanying documentation, provided that:     *
*  1. All copies contain this notice in the main program file and in the  *
*     supporting documentation.                                           *
*  2. All modified copies carry a prominent notice stating who made the   *
*     last modification and the date of such modification.                *
*  3. No charge is made for this software or works derived from it, with  *
*     the exception of a distribution fee to cover the cost of materials  *
*     and/or transmission.                                                *
*                                                                         *
**************************************************************************)


Print["----------------------------------------------------------------"];
Print["  VECTAN, Version 1.1, (14.5.1997) "];
Print["  (C) Bernd Fiedler, Math. Inst., Univ. Leipzig, 1996"];
Print["  email: fiedler@rz.uni-leipzig.de"];
Print["  http://www.mathematik.uni-leipzig.de/MI/fiedler/fiedler.html"];
Print["----------------------------------------------------------------"];
Print[" "];

(*---------------------------- Test -----------------------------------*)

With[
    {slist = {"0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "A", "b", 
    "B", "c", "C", "d", "D", "e", "E", "f", "F", "g", "G", "h", "H", "i", "I", 
    "j", "J", "k", "K", "l", "L", "m", "M", "n", "N", "o", "O", "p", "P", "q", 
    "Q", "r", "R", "s", "S", "t", "T", "u", "U", "v", "V", "w", "W", "x", "X", 
    "y", "Y", "z", "Z"}
    },
    If[
      slist =!= Sort[slist],
      (* then *)
  Print[" "];
  Print["Your Mathematica version orders strings in a non-standard manner."]; 
  Print["For this reason, a canonical order produced by Mathematica is not"];
  Print["of that type which is required for a correct working of VECTAN."];
  Print["Nevertheless, you can use VECTAN."];
  Print[" "];
  Print["Continue loading VECTAN (y/n)?"];
      With[{answer = InputString[]},
          If[answer =!= "y",
            (* then *)
            Abort[]
            ]
          ]
      ]
    ];


(*---------------------- Load Package Files ---------------------------*)

BeginPackage["Vectan`"];

(*------------------------- Load Usage.m ------------------------------*)
Print["Load usage.m"]
<<usage.m


Begin["`Private`"];

(*-------------------------- Load Def.m -------------------------------*)
Print["Load def.m"]
<<def.m

(*------------------------- Load Deriv.m ------------------------------*)
Print["Load deriv.m"]
<<deriv.m

(*----------------------- Load Utilities.m ----------------------------*)
Print["Load utilitie.m"]
<<utilitie.m

End[(*"`Private`"*)];

EndPackage[(*"Vectan`"*)];
